classification
Title: inspect: Make Signature instances picklable
Type: enhancement Stage: resolved
Components: Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: haypo, larry, ncoghlan, pitrou, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2014-02-22 03:21 by yselivanov, last changed 2014-03-29 17:24 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
sig_picklable_01.patch yselivanov, 2014-02-22 03:21 review
sig_picklable_02.patch yselivanov, 2014-02-22 16:50 review
sig_picklable_03.patch yselivanov, 2014-02-24 21:41 More tests review
Messages (7)
msg211903 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-02-22 03:21
There is no reason for Signature objects to be not picklable.
Patch is attached (it will require merging #19573 before).
msg211918 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-02-22 10:16
For extra points, you could test with all protocol versions (from 0 to HIGHEST_PROTOCOL).
msg211930 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-02-22 16:50
> For extra points, you could test with all protocol versions (from 0 to HIGHEST_PROTOCOL).

Good idea, see the second patch.
msg214955 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-27 15:32
New changeset 0a8e3c910c0a by Yury Selivanov in branch 'default':
inspect.signature: Make Signature and Parameter picklable. Closes #20726
http://hg.python.org/cpython/rev/0a8e3c910c0a
msg214957 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-03-27 15:36
Why not backporting this change to Python 3.4? Would it break something?
msg214958 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-03-27 15:38
Picklability is more of a new feature than a bugfix.
msg215135 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-29 17:24
New changeset f2bae047f6d0 by Yury Selivanov in branch 'default':
inspect.docs: Document that Signature and Parameter are now picklable (issue #20726)
http://hg.python.org/cpython/rev/f2bae047f6d0
History
Date User Action Args
2014-03-29 17:24:36python-devsetmessages: + msg215135
2014-03-27 15:38:28pitrousetmessages: + msg214958
2014-03-27 15:36:41hayposetnosy: + haypo
messages: + msg214957
2014-03-27 15:32:28python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg214955

resolution: fixed
stage: resolved
2014-02-24 21:41:55yselivanovsetfiles: + sig_picklable_03.patch
2014-02-22 16:50:22yselivanovsetfiles: + sig_picklable_02.patch

messages: + msg211930
2014-02-22 10:16:16pitrousetnosy: + pitrou
messages: + msg211918
2014-02-22 03:21:53yselivanovcreate